LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XNamed Interface Referencepublished

specifies the name of the object. More...

`import"XNamed.idl";`

Inheritance diagram for XNamed:

## Public Member Functions
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the name of the object.

The name is generally unique in the container of the object.

Developers Guide
  Drawings and Presentations - Navigating

## Member Function Documentation

## ◆ getName()

string getName | ( |  | ) |

Returns
  the programmatic name of the object.

## ◆ setName()

void setName | ( | [in] string | aName | ) |

sets the programmatic name of the object.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XNamed.idl